package io.renren.modules.dataSet.service;

import io.renren.modules.dataSet.entity.PreviewData;

import java.util.List;
import java.util.Map;

public interface DynamicSystemService {
    public List getEqumentHead(String hbaseTableName);

    public List getEqumentHead_InMysql(Integer equipmentId);

    public List getEqumentAll(String hbaseTableName);

    public List getEqumentLimit(String hbaseTableName, Integer limit);

    public Map<String, List<String>> getEqumentOneColumn(String hbaseTableName, String[] needFileds);

    public Map<String, List<String>> getEqumentOneColumn(String hbaseTableName, String[] needFileds, Integer limit);

    public Map<String, List<String>> getEqumentOneColumnTimeLimit(String hbaseTableName, String[] needFileds, Integer limit,Long start,Long end);

    public List getPreContent(List<PreviewData> subeqpments, Integer limit);

    public List getPreContentTimeLimit(List<PreviewData> subeqpments, Integer limit,Long start,Long end);

    public String runSave(Map map);

    public String dySubmit(Map map);

    public List getContentTimeLimit(String hbaseName, Long start, Long end);

    public List getContentTimeLimit(String hbaseName, Integer limit, Long start, Long end);
}
