package io.renren.modules.sys.controller.algs;

import io.renren.common.utils.R;
import io.renren.modules.sys.entity.algs.AlgorithmParameter;
import io.renren.modules.sys.service.AlgorithmParameterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/algParameter")
public class algParameterController {
    @Autowired
    AlgorithmParameterService algorithmParameterService;

    @RequestMapping("/getAlgParameter")
    public R getAlgParameter(String algorithmId){
        List<AlgorithmParameter> algorithmParameters=algorithmParameterService.selectByAlgId(Long.parseLong(algorithmId));
        return R.ok().put("algorithmParameters",algorithmParameters);
    }
}
