package io.renren.modules.sys.dao.algs;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import io.renren.modules.sys.entity.algs.AlgorithmParameter;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface AlgorithmParameterMapper extends BaseMapper<AlgorithmParameter> {
    int insert(AlgorithmParameter algorithmParameter);

    List<AlgorithmParameter> selectByAlgId(Long algorithmId);

    @Select("SELECT a.* FROM algorithm_parameter a ${ew.customSqlSegment}")
    List<AlgorithmParameter> getAlgParameterInfo(@Param(Constants.WRAPPER) Wrapper wrapper);
}
