package io.renren.modules.sys.dao.algs;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import io.renren.modules.sys.entity.algs.AlgorithmResult;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface AlgorithmResultMapper extends BaseMapper<AlgorithmResult> {
    int insert(AlgorithmResult algorithmResult);

    List<AlgorithmResult> selectByAlgId(Long algorithmId);

    @Select("SELECT a.* FROM algorithm_result a ${ew.customSqlSegment}")
    List<AlgorithmResult> getAlgResultInfo(@Param(Constants.WRAPPER) Wrapper wrapper);
}
