package io.renren.modules.sys.dao.algs;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import io.renren.modules.sys.entity.algs.Approval_Vo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;


import java.util.List;

@Mapper
public interface ApprovalVoMapper {
    @Select("SELECT a.*,b.username,c.`name` as 'categoryName',d.miss_name FROM approval a  LEFT JOIN sys_user b on a.uid=b.user_id LEFT JOIN classification c on a.category_id=c.id LEFT JOIN algorithm_training d on a.algorithm_training_id=d.algorithm_training_id ${ew.customSqlSegment}")
    List<Approval_Vo> getApprovalInfo(@Param(Constants.WRAPPER)Wrapper wrapper);
}
