package io.renren.modules.sys.dao.algs;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.sys.entity.algs.AlgorithmTemplate;
import io.renren.modules.sys.entity.algs.AlgorithmTemplate_Vo;
import io.renren.modules.sys.entity.algs.CategoryEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @Author: Ivan Q
 * @Date: 2021/5/31 16:13
 */

@Mapper
public interface CategoryMapper extends BaseMapper<CategoryEntity> {
    @Select("SELECT id FROM classification WHERE name = #{name,jdbcType=VARCHAR}")
    Long getByName(@Param("name") String classificationtag);
}


