package io.renren.modules.sys.dao.dataset;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import io.renren.modules.sys.entity.dataset.DataSetDy;
import io.renren.modules.sys.entity.dataset.DataSetDy_Vo;
import io.renren.modules.sys.entity.dataset.DataSet_Vo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author allen
 * @since 2021-08-04
 */
@Mapper
public interface DataSetDyVoMapper extends BaseMapper<DataSetDy> {
    @Select("SELECT a.*, b.username FROM data_set_dy a LEFT JOIN sys_user b ON a.uid = b.user_id ${ew.customSqlSegment}")
    List<DataSetDy_Vo> getModelInfo(@Param(Constants.WRAPPER) Wrapper wrapper);
}
