package io.renren.modules.sys.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 *
 * 算法节点与工作流内节点映射关系
 * @author Zhang
 * @version 3.0.0
 * @since JDK1.8
 */
@Data
@TableName("visi_nodeidtemplate_map")
public class VisiNodeidtemplateMapEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 用户ID
	 */
	private Long userId;
	/**
	 * 映射关系ID
	 */
	@TableId
	private Long mapId;
	/**
	 * 工作流ID
	 */
	private Long workflowId;
	/**
	 * 工作流名称
	 */
	private String workflowName;
	/**
	 * 工作流模板名称
	 */
	private String workflowtempName;
	/**
	 * 画布算法节点ID
	 */
	private String graphnodeid;
	/**
	 * 工作流内Template名称
	 */
	private String templatename;
	/**
	 * pod名称
	 */
	private String podname;

}
