package io.renren.modules.sys.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 *
 * 工作流实体
 * @author Zhang
 * @version 3.0.0
 * @since JDK1.8
 */
@Data
@TableName("visi_workflow")
public class VisiWorkflowEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 用户ID
	 */
	private Long userId;
	/**
	 * 工作流ID
	 */
	@TableId
	private Long workflowId;
	/**
	 * 实验名称
	 */
	private String experimentName;
	/**
	 * 工作流模板名称
	 */
	private String workflowtempName;
	/**
	 * 工作流名称
	 */
	private String workflowName;
	/**
	 * 画布数据
	 */
	private String graphJson;
	/**
	 * 执行状态
	 */
	private String status;


}
