package io.renren.modules.sys.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 *
 * 工作流参数映射关系实体
 * @author Zhang
 * @version 3.0.0
 * @since JDK1.8
 */
@Data
@TableName("visi_workflowparamap")
public class VisiWorkflowparamapEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 映射关系ID
	 */
	@TableId
	private Long paramapId;
	/**
	 * 用户ID
	 */
	private Long userId;
	/**
	 * 工作流ID
	 */
	private Long workflowId;

	/**
	 * 参数节点名称
	 */
	private String inputparaNodename;
	/**
	 * 映射关系具体内容
	 */
	private String inputparaJson;

//	private Long inputparaNodeid;
//	/**
//	 *
////	 */
//	private String inputparaName;
//	/**
//	 *
//	 */
//	private Long outputparaNodeid;
//	/**
//	 *
//	 */
//	private String outputparaName;

}
