package io.renren.modules.sys.entity.algs;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 算法实体
 * @author WangYi
 * @version 1.0
 * @since JDK1.8
 */
@Data
@TableName("algorithm")
public class Algorithm {
    /**
     * 算法id
     */
    @TableId
    private Long algorithmId;

    /**
     * 算法名
     */
    private String algorithmName;

    /**
     * 算法所属类别id
     */
    private Long categoryId;

    private Long number;
    /**
     * 算法备注信息
     */
    private String remark;

    /**
     * 算法所属用户id
     */
    private Long uid;

    /**
     * 算法运行环境
     */
    private Long frameId;

    private String dfsUrl;
}