package io.renren.modules.sys.entity.dataset;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
@Data
public class DataSetDy_Vo {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "数据集id")
    @TableId(value = "dataset_id", type = IdType.AUTO)
    private Long datasetId;

    @ApiModelProperty(value = "定时任务id")
    private Long jobId;


    @ApiModelProperty(value = "数据集名称")
    private String datasetName;

    @ApiModelProperty(value = "类别")
    private Long categoryId;


    @ApiModelProperty(value = "动静状态")
    private Integer datasetStatus;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "所属用户id")
    private Long uid;
    private String username;

    @ApiModelProperty(value = "是否可以停止")
    private Integer stoppable;

    @ApiModelProperty(value = "文件系统路径")
    private String dfsUrl;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "抽取间隔")
    private Long extractionInterval;

    @ApiModelProperty(value = "抽取次数")
    private Long extractionTimes;



    // cron 表达式
    private String cronExpression;
    private String cronExpressionCh;
    // 分类名称
    private String categoryName;
    // 动态数据集运行状态
    private Integer status;
}
