package io.renren.modules.sys.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.modules.sys.dao.serverport.ServerPortDao;
import io.renren.modules.sys.entity.serverport.ServerPort;
import io.renren.modules.sys.service.ServerPortService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("serverPortService")
public class ServerPortServiceImpl extends ServiceImpl<ServerPortDao, ServerPort> implements ServerPortService {
    @Autowired
    ServerPortDao serverPortDao;
    @Override
    public ServerPort selectNotUsedPort() {
        return serverPortDao.selectNotUsedPort();
    }

    @Override
    public int updateServerPort(ServerPort serverPort) {
        return serverPortDao.updateServerPort(serverPort);
    }
}
