package io.renren.modules.sys.service.impl;


import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.Query;

import io.renren.modules.sys.dao.VisiAlgorithmnodeDao;
import io.renren.modules.sys.entity.VisiAlgorithmnodeEntity;
import io.renren.modules.sys.service.VisiAlgorithmnodeService;


@Service("visiAlgorithmnodeService")
public class VisiAlgorithmnodeServiceImpl extends ServiceImpl<VisiAlgorithmnodeDao, VisiAlgorithmnodeEntity> implements VisiAlgorithmnodeService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<VisiAlgorithmnodeEntity> page = this.page(
                new Query<VisiAlgorithmnodeEntity>().getPage(params),
                new QueryWrapper<VisiAlgorithmnodeEntity>()
        );

        return new PageUtils(page);
    }

}
