package io.renren.modules.dataSet.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author allen
 * @since 2021-06-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="Subsystem对象", description="")
public class Subsystem implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "子系统ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "子系统名")
    private String name;

    @ApiModelProperty(value = "添加时间")
    @TableField("createDate")
    private Date createdate;

    @ApiModelProperty(value = "Hbase表个数")
    @TableField("hbaseTableNum")
    private Integer hbasetablenum;

    @ApiModelProperty(value = "Hive表个数")
    @TableField("hiveTableNum")
    private Integer hivetablenum;

    @ApiModelProperty(value = "操作用户")
    private Integer uid;

    @ApiModelProperty(value = "是否删除")
    private Boolean delete;

    private String remark;

    private String hbaseTableName;


}
