package io.renren.modules.dataSet.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author allen
 * @since 2021-06-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="System对象", description="")
public class System implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "煤矿ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "煤矿系统名")
    private String name;

    @ApiModelProperty(value = "添加时间")
    @TableField("createDate")
    private Date createdate;

    @ApiModelProperty(value = "数据量")
    @TableField("dataSize")
    private Integer datasize;

    @ApiModelProperty(value = "操作用户")
    private Integer uid;

    @ApiModelProperty(value = "是否删除")
    private Boolean delete;

    private String remark;


}
