package io.renren.modules.sys.controller.baseimage;

import io.renren.common.utils.R;
import io.renren.modules.sys.entity.baseimage.BaseImage;
import io.renren.modules.sys.service.BaseImageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/baseImage")
public class baseImageController {
    @Autowired
    BaseImageService baseImageService;

    @GetMapping("/listAll")
    public R listAll(@RequestParam Map<String,Object> params){
        List<BaseImage> list=baseImageService.queryPageOnUse(params);
        return R.ok().put("list",list);
    }
}
