package io.renren.modules.sys.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 *
 * 算法节点实体
 * @author Zhang
 * @version 3.0.0
 * @since JDK1.8
 */
@Data
@TableName("visi_algorithmnode")
public class VisiAlgorithmnodeEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 用户Id
	 */
	private Long userId;
	/**
	 * 算法节点ID
	 */
	@TableId
	private Long algonodeId;
	/**
	 * 算法节点名称
	 */
	private String algonodeName;
	/**
	 * 算法按节点镜像地址
	 */
	private String algonodeImage;
	/**
	 * 算法节点参数
	 */
	private String algoparatempJson;
	/**
	 * 算法节点描述
	 */
	private String algodescription;
	/**
	 * 算法节点类型
	 */
	private String algotreetype;

}
