package io.renren.modules.sys.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.modules.sys.dao.algs.AlgorithmParameterMapper;
import io.renren.modules.sys.entity.algs.AlgorithmParameter;
import io.renren.modules.sys.service.AlgorithmParameterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service("algorithmParameterService")
public class AlgorithmParameterServiceImpl extends ServiceImpl<AlgorithmParameterMapper, AlgorithmParameter> implements AlgorithmParameterService {
    @Autowired
    AlgorithmParameterMapper algorithmParameterMapper;
    @Override
    public List<AlgorithmParameter> selectByAlgId(Long algorithmId) {
        return algorithmParameterMapper.selectByAlgId(algorithmId);
    }
}
