package io.renren.modules.sys.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.modules.sys.dao.algs.AlgorithmResultMapper;
import io.renren.modules.sys.entity.algs.AlgorithmResult;
import io.renren.modules.sys.service.AlgorithmResultService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("algorithmResultService")
public class AlgorithmResultServiceImpl extends ServiceImpl<AlgorithmResultMapper, AlgorithmResult> implements AlgorithmResultService {
    @Autowired
    AlgorithmResultMapper algorithmResultMapper;
    @Override
    public List<AlgorithmResult> selectByAlgId(Long algorithmId) {
        return algorithmResultMapper.selectByAlgId(algorithmId);
    }
}
