package io.renren.modules.sys.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.modules.sys.dao.baseimage.BaseImageMapper;
import io.renren.modules.sys.entity.baseimage.BaseImage;
import io.renren.modules.sys.service.BaseImageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service("baseimageservice")
public class BaseImageServiceImpl extends ServiceImpl<BaseImageMapper, BaseImage> implements BaseImageService {
    @Autowired
    BaseImageMapper baseImageMapper;

    @Override
    public List<BaseImage> queryPageOnUse(Map<String, Object> params) {
        List<BaseImage> baseImageAllInfo;
        baseImageAllInfo=baseImageMapper.getBaseImageInfo(new QueryWrapper<BaseImage>());
        return baseImageAllInfo;
    }

    @Override
    public void update(BaseImage baseImage) {
        this.updateById(baseImage);
    }
}
